# Rally Rush: godot::RallyRushGameMode Class Reference

Loading...
Searching...
No Matches
godot::RallyRushGameMode Class Reference

Game mode for Rally Rush. Mainly serves as a scorekeeper and patchbay for Observers. Inherits from GameMode so it can be referenced by a level and managed by the GameRoot3D. More...

`#include <rally_rush_game_mode.hpp>`

Inheritance diagram for godot::RallyRushGameMode:

## Public Member Functions

int | get_num_found_keys ()
| returns the number of keys picked up so far.
void | notify_key_found ()
| Emit the "key_found" signal.
void | notify_player_death ()
| Emit the "player_death" signal.
void | notify_player_escaped ()
| Emit the "player_escaped" signal.
void | notify_turret_pickup ()
| Emit the "turret_pickup" signal.
void | notify_end_turret_pickup ()
| Emit the "turret_pickup_end" signal.
void | notify_shield_pickup ()
| Emit the "shield_pickup" signal.
void | notify_end_shield_pickup ()
| Emit the "shield_pickup_end" signal.

## Private Member Functions

| GDCLASS (RallyRushGameMode, GameMode)

## Static Private Member Functions

static void | _bind_methods ()
| Register signals.

## Private Attributes

int | num_keys_found {0}
| The number of keys picked up so far.

## Detailed Description

Game mode for Rally Rush. Mainly serves as a scorekeeper and patchbay for Observers. Inherits from GameMode so it can be referenced by a level and managed by the GameRoot3D.

## Member Function Documentation

## _bind_methods()

void godot::RallyRushGameMode::_bind_methods | ( |  | ) |

staticprivate

Register signals.

## GDCLASS()

godot::RallyRushGameMode::GDCLASS | ( | RallyRushGameMode | ,
|  | GameMode |
| ) |  |

private

## get_num_found_keys()

int godot::RallyRushGameMode::get_num_found_keys | ( |  | ) |

returns the number of keys picked up so far.

## notify_end_shield_pickup()

void godot::RallyRushGameMode::notify_end_shield_pickup | ( |  | ) |

Emit the "shield_pickup_end" signal.

## notify_end_turret_pickup()

void godot::RallyRushGameMode::notify_end_turret_pickup | ( |  | ) |

Emit the "turret_pickup_end" signal.

## notify_key_found()

void godot::RallyRushGameMode::notify_key_found | ( |  | ) |

Emit the "key_found" signal.

## notify_player_death()

void godot::RallyRushGameMode::notify_player_death | ( |  | ) |

Emit the "player_death" signal.

## notify_player_escaped()

void godot::RallyRushGameMode::notify_player_escaped | ( |  | ) |

Emit the "player_escaped" signal.

## notify_shield_pickup()

void godot::RallyRushGameMode::notify_shield_pickup | ( |  | ) |

Emit the "shield_pickup" signal.

## notify_turret_pickup()

void godot::RallyRushGameMode::notify_turret_pickup | ( |  | ) |

Emit the "turret_pickup" signal.

## Member Data Documentation

## num_keys_found

int godot::RallyRushGameMode::num_keys_found {0}

private

The number of keys picked up so far.

The documentation for this class was generated from the following files:

- src/rally_rush_game_mode.hpp
- src/rally_rush_game_mode.cpp